Bug 1117880 - Unable to install feature switchyard-bean
Summary: Unable to install feature switchyard-bean
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR3
: 6.1.0
Assignee: Julian Coleman
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:14 UTC by Martin Basovník
Modified: 2016-12-01 00:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1138645 (view as bug list)
Environment:
Karaf Karaf version 2.3.0.redhat-610379 OSGi Framework org.apache.felix.framework - 4.0.3.redhat-610379 JVM Java Virtual Machine Java HotSpot(TM) 64-Bit Server VM version 24.60-b09 Version 1.7.0_60 Vendor Oracle Corporation
Last Closed:
Type: Bug


Attachments (Terms of Use)
Intallation log for bundle "switchyard-component-bean" (4.25 KB, text/x-log)
2014-07-09 15:14 UTC, Martin Basovník
no flags Details

Description Martin Basovník 2014-07-09 15:14:04 UTC
Created attachment 916830 [details]
Intallation log for bundle "switchyard-component-bean"

=== Description of problem:
Unable to install dependency of feature "switchyard-bean": mvn:org.switchyard.components/switchyard-component-bean/2.0.0.Alpha1-redhat-1.

Caused by: java.lang.NumberFormatException: For input string: "${version"

This bug blocks installation of most of the quickstarts!!!

switchyard-quickstart-bean-service
switchyard-quickstart-camel-amqp-binding
switchyard-quickstart-camel-atom-binding
switchyard-quickstart-camel-binding
switchyard-quickstart-camel-bindy
switchyard-quickstart-camel-bus-cdi
switchyard-quickstart-camel-ftp-binding
switchyard-quickstart-camel-jms-binding
switchyard-quickstart-camel-jpa-binding
switchyard-quickstart-camel-mail-binding
switchyard-quickstart-camel-netty-binding
switchyard-quickstart-camel-quartz-binding
switchyard-quickstart-camel-rss-binding
switchyard-quickstart-remote-invoker
switchyard-quickstart-camel-sql-binding
switchyard-quickstart-transform-dozer
switchyard-quickstart-transform-jaxb
switchyard-quickstart-transform-json
switchyard-quickstart-transform-smooks
switchyard-quickstart-transform-xslt
switchyard-quickstart-validate-xml
switchyard-quickstart-camel-sap-binding
switchyard-demo-policy-transaction

=== Version-Release number of selected component (if applicable):
fsw-6.1.0-DR1

=== How reproducible:
100%

=== Steps to Reproduce:
1. features:addurl mvn:org.switchyard.karaf/switchyard/2.0.0.Alpha1-redhat-1/xml/features
2 features:install -v switchyard-bean


=== Actual results:
see log

=== Expected results:


===Additional info:

Comment 1 Martin Basovník 2014-07-10 08:31:00 UTC
There is a problem in MANIFEST.MF:
- Missing Import-Package: "javax.enterprise.inject"
- Bad Provide-Capability version: “${version;====;2.0.0.Alpha1.redhat.1}”. Should be replaced with “2.0.0.Alpha1-redhat-1”.

Comment 2 Darren Coleman 2014-09-03 14:32:43 UTC
The problem with the manifest was caused by the build system picking up a different version of the Apache Felix Bundle plugin than the one required by SwitchYard. It was using version 2.3.7 from the JBoss BOM, which was unable to parse some of the directives in the SwitchYard Components bean pom, so as a result the manifest file was missing some packages from the Import-Package section, javax.enterprise.inject being one.

The incorrect version string was partly due to the wrong plugin being used (the ${version;====;} bit of it wasn't recognised), but the replacement of dashes for dots in the version wasn't correct so has been patched.

The SwitchYard-Bean component now builds and installs successfully in Fuse and will be available in the DR3 release.

Comment 5 Martin Basovník 2016-01-02 14:41:51 UTC
Verified in JBoss Fuse 6.2 GA.


Note You need to log in before you can comment on or make changes to this bug.